﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Collections;
using GrapeCity.ActiveReports;
using GrapeCity.ActiveReports.Controls;
using GrapeCity.ActiveReports.SectionReportModel;
using GrapeCity.ActiveReports.Document.Section;

namespace GrapeCity.ActiveReports.Samples.Professional.EndUserDesigner
{
    public partial class ReportSelectDialog : Form
    {
        public string SubreportName { get; set; }
        public System.IO.MemoryStream reportstream { get; set; }
        public ReportSelectDialog(ComboBox.ObjectCollection reports)
        {
            InitializeComponent();
            comboBox1.DataSource = reports;
            radioButton2.Checked = true;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (radioButton1.Checked)
            {
                SubreportName = null;
                if (reportstream == null)
                {
                    MessageBox.Show("No report file selected");
                    button3.PerformClick();
                    this.DialogResult = DialogResult.OK;
                }
                else
                {
                    this.DialogResult = DialogResult.OK;
                }
            }
            if (radioButton2.Checked)
            {
                reportstream = null;
                SubreportName = comboBox1.SelectedItem.ToString();
                this.DialogResult = DialogResult.OK;
            }

        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            OpenFileDialog ofd = new OpenFileDialog();
            ofd.Filter = "Report Layout Files|*.rpx;*.xml";
        SHOWDIALOGAGAIN:
            if (ofd.ShowDialog() == DialogResult.OK)
            {
                try
                {
                    reportstream = new System.IO.MemoryStream();
                    GrapeCity.ActiveReports.SectionReport rpt = new SectionReport();
                    rpt.LoadLayout(ofd.FileName);
                    rpt.SaveLayout(reportstream);
                    textBox1.Text = ofd.FileName;
                }
                catch (Exception ex)
                {
                    reportstream = null;
                    MessageBox.Show(ex.Message);
                    goto SHOWDIALOGAGAIN;
                }
            }
        }

        private void ReportSelectDialog_Load(object sender, EventArgs e)
        {

        }

     
    }
}
